%define __libtoolize :
%global momorel 6
%global date 20060306
%global mainver 0.7

Summary: AVI file support library
Name: avifile
Version: 0.7.45
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
URL: http://avifile.sourceforge.net/
%global md5_source0 7da94802f120d1b69e04a13170dcd21d
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{mainver}-%{version}.tar.bz2 %{md5_source0}
#Source0: avifile-%{version}-cvs%{date}.tar.bz2
Patch0: avifile-0.7.38-nocheckqt.patch
#Patch2: avifile-__THROW.patch
Patch3: avifile-0.7-0.7.45-ppc.patch
Patch4: avifile-0.7-0.7.41-ugly-relink.patch
Patch5: avifile-0.7-0.7.43-delete-x2-patch
Patch6: avifile-0.7-0.7.45-mad-fpm.patch
Patch7: avifile-0.7-0.7.45-sysffmpeg.patch
Patch8: avifile-0.7-0.7.43-gcc4.patch
Patch9: avifile-0.7-0.7.43-gcc41.patch
Patch10: avifile-0.7-0.7.43-conf-xvid.patch
Patch11: avifile-0.7-0.7.43-conf-lib64.patch
Patch12: libavcodec-cvs-ppc-altivec-gcc4.patch
Patch13: avifile-0.7-0.7.45-pluginbuildfix.patch
Patch14: avifile-0.7-0.7.45-template.patch
Patch20: avifile-0.7-0.7.45-sparc64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: qt-devel >= 3.3.3-2m, SDL-devel >= 1.2.7-7m
BuildPreReq: libXxf86vm-devel, libXxf86dga-devel

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# ~/rpm/specopt/%{name}.specopt and edit it.

## NOTICE: ENABLING THESE FEATURES MAKES THIS PACKAGE NONFREE!! 
%{?!enable_divx4linux:         %global enable_divx4linux   0}
%if %{enable_divx4linux}
BuildRequires: divx4linux
%endif
BuildRequires: xvid


%description
Libraries and utilities that allows programs to read and write
compressed AVI files (Indeo? Video, DivX :-), etc.) under x86 Linux.
(De)compression is performed with Win32 DLLs.

%prep
%setup -q -n %{name}-%{mainver}-%{version}
# %%setup -q -n %{name}
#%patch0 -p1
#%%patch2 -p1
%ifarch ppc ppc64
%patch3 -p1 -b .ppc~
%endif
%patch4 -p1
%patch5 -p1
#%patch6 -p1
%ifarch ppc64 alpha sparc sparc64
#%%patch7 -p1 
%endif
#%patch8 -p1 -b .gcc4
#%patch9 -p1 -b .gcc41
%patch10 -p1 -b .conf-xvid
%if %{_lib} == "lib64"
%patch11 -p1 -b .conf-lib64
%endif         
( cd ffmpeg
#%patch12 -p1 -b .ppc-altivec-gcc4
)
%patch13 -p1 -b .buildfix
%patch14 -p1 -b .templete
%ifarch sparc64
%patch20 -p1
%endif

%build

%if %{enable_divx4linux}
DIVX4_FLAG="--enable-divx4"
%else
DIVX4_FLAG="--disable-divx4"
%endif

%configure --with-qt --enable-release --enable-lamebin \
	   --enable-quiet --disable-xvid \
	   --enable-xvid4 $DIVX4_FLAG

find -type d -name CVS | xargs rm -rf
find -type f | xargs perl -p -i -e 's,/dev/video,/dev/video0,g'

# Parallel build shall fail!
# please use make -j1
%undefine _smp_mflags
%make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README doc/*
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/avifile*
%{_libdir}/pkgconfig/avifile.pc
%{_includedir}/*
%{_datadir}/aclocal/avifile.m4
%{_datadir}/avifile*
%{_mandir}/man*/*

%changelog
* Thu Apr 26 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPreReq: libXxf86vm-devel, libXxf86dga-devel:
  samples/qtvidcap/kv4lsetup.cpp does not compile when only
  libXxf86vm-devel presents. Ideally we should have patched
  the source code so that the variables foo, bar, ma, and mi
  are defined on both cases.

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.45-0.20060306.6m)
- enable ppc, ppc64, sparc64

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.45-0.20060306.5m)
- delete libtool library

* Mon Oct 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.45-0.20060306.4m)
- add patch14 from debian
-- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=392559

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.7.45-0.20060306.3m)
- rebuild against expat-2.0.0-1m

* Sat Jul 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.45-0.20060306.2m)
- remove avifile-0.7.40-kernel2681.patch

* Thu Mar 23 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.45-0.20060306.1m)
- update to new release 0.7.45
- drop Patch0(avifile-0.7.38-nocheckqt.patch), Patch8(avifile-0.7-0.7.43-gcc4.patch), Patch9(avifile-0.7-0.7.43-gcc41.patch) and Patch12(libavcodec-cvs-ppc-altivec-gcc4.patch): fixed in upstream
- update Patch6(avifile-0.7-0.7.43-mad-fpm.patch)
- add Patch13(avifile-0.7-0.7.45-pluginbuildfix.patch): build fix
- remove aclocal-1.4 and autoconf line from %%prep and %%build: configured automatically in make

* Sun Mar 12 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.8m)
- enable ppc

* Sat Feb 25 2006 Masanobu Sato <satoshiga@momonga-linux.org> 
- (0.7.43-0.20050224.7m)
- add patch10 to enable xvid4test
- add patch11 to enable SDL at x86_64

* Tue Feb 21 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.43-0.20050224.6m)
- revise configure options

* Sat Dec 17 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.43-0.20050224.5m)
- add gcc41 patch 
- Patch9: avifile-0.7-0.7.43-gcc41.patch

* Sun Nov  6 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.43-0.20050224.4m)
- add gcc4 patch (Patch8)

* Mon Oct 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.3m)
- enable ia64, ppc64, alpha, sparc, sparc64

* Thu Aug 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.43-0.20050224.2m)
- update ppc patch.

* Wed Jul  6 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.43-0.20050224.1m)
- update to 0.7.43
- comment out Patch2: avifile-__THROW.patch
- add Patch5: avifile-0.7-0.7.43-delete-x2-patch
  cf. http://prak.org/pipermail/avifile/2003-January.txt

* Sat Feb 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.11m)
- use aclocal-1.4
- BuildPreReq: automake14

* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.10m)
- no depend aalib

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.41-0.20041001.9m)
- rebuild against SDL-1.2.7-9m

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.8m)
- rebuild with lame, xvid.

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (0.7.41-0.20041001.7m)
- relink shouldn't link .la from /usr/lib because it's not installed yet...

* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.41-0.20041001.6m)
- enable ppc.

* Wed Nov 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.5m)
- sort patch

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.41-0.20041001.4m)
- run aclocal

* Tue Nov 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.41-0.20041001.3m)
- fix missing lib*.so* files
- rewind 0.7.41-0.20041001.2m changes

* Sat Nov 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.41-0.20041001.2m)
- use ./configure again

* Sat Nov 13 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.7.41-0.20041001.1m)
- up to 0.7.41, thanks to tom san

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.40-0.20040419.5m)
- rebuild against qt-3.3.3-2m (libstdc++-3.4.1)

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.40-0.20040419.4m)
- rebuild against DirectFB-0.9.21

* Sat Aug 28 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.40-0.20040419.3m)
- add Patch1: avifile-0.7.40-kernel2681.patch

* Sun May  2 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.2m)
- revised for xvid-1.0.0rc4 (apiversion 4)

* Thu Apr 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.40-0.20040419.1m)
- use lateset CVS version (obtained via cvs and not nosrc)
- add avifile-0.7.38-nocheckqt.patch to build aviplay

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.37-0.20030522.2m)
- revised spec for enabling rpm 4.2.

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.37-0.20030522.1m)
  update to 0.7.37-20030522(rebuild against DirectFB 0.9.18)

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.2m)
- rebuild against for XFree86-4.3.0

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.32-0.20030219.1m)
- version 0.7.32

* Thu Jan 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.27-0.20030122.1m)

* Thu Jan 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.25-0.20030114.1m)

* Thu Dec 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)
- disable xvid...

* Sat Dec 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.22-0.20021129.1m)

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.2m)
- add some header files

* Tue Oct 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.17-0.20021028.1m)
